org.keycloak.models.sessions.infinispan.changes.sessions

## Class PersisterLastSessionRefreshStoreFactory

- java.lang.Object
- - org.keycloak.models.sessions.infinispan.changes.sessions.AbstractLastSessionRefreshStoreFactory
  - - org.keycloak.models.sessions.infinispan.changes.sessions.PersisterLastSessionRefreshStoreFactory

-     public class PersisterLastSessionRefreshStoreFactory
      extends AbstractLastSessionRefreshStoreFactory

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DB_LSR_PERIODIC_TASK_NAME`

    - ### Fields inherited from class org.keycloak.models.sessions.infinispan.changes.sessions.AbstractLastSessionRefreshStoreFactory

      `DEFAULT_MAX_COUNT, DEFAULT_MAX_INTERVAL_BETWEEN_MESSAGES_SECONDS, DEFAULT_TIMER_INTERVAL_MS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersisterLastSessionRefreshStoreFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PersisterLastSessionRefreshStore` | `createAndInit(KeycloakSession kcSession, boolean offline)`
    `protected PersisterLastSessionRefreshStore` | `createStoreInstance(int maxIntervalBetweenMessagesSeconds, int maxCount, boolean offline)`

    - ### Methods inherited from class org.keycloak.models.sessions.infinispan.changes.sessions.AbstractLastSessionRefreshStoreFactory

      `setupPeriodicTimer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DB_LSR_PERIODIC_TASK_NAME

          public static final String DB_LSR_PERIODIC_TASK_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PersisterLastSessionRefreshStoreFactory

          public PersisterLastSessionRefreshStoreFactory()

  - ### Method Detail

    - #### createAndInit

          public PersisterLastSessionRefreshStore createAndInit(KeycloakSession kcSession,
                                                                boolean offline)

    - #### createStoreInstance

          protected PersisterLastSessionRefreshStore createStoreInstance(int maxIntervalBetweenMessagesSeconds,
                                                                         int maxCount,
                                                                         boolean offline)

Copyright © 2020 JBoss by Red Hat. All rights reserved.